<?
define('PROTECTOR', 1);

$head = 'shopaura';//фикс. места

$textl='Магазин Аур';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
ryd();
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');


switch($_GET[mod]){

default:
if(empty($_GET[old]) or $_GET[old]==1){$old=5;$ss1="5 ур.";}else{$ss1="<a href=\"shopaura.php?old=1\">5 ур.</a>";}
if($_GET[old]==2){$old=15;$ss2="15 ур.";}else{$ss2="<a href=\"shopaura.php?old=2\">15 ур.</a>";}
if($_GET[old]==3){$old=30;$ss3="30 ур.";}else{$ss3="<a href=\"shopaura.php?old=3\">30 ур.</a>";}
if($_GET[old]==4){$old=45;$ss4="45 ур.";}else{$ss4="<a href=\"shopaura.php?old=4\">45 ур.</a>";}
if($_GET[old]==5){$old=60;$ss5="60 ур.";}else{$ss5="<a href=\"shopaura.php?old=5\">60 ур.</a>";}
echo"Поиск: [$ss1] [$ss2] [$ss3] [$ss4] [$ss5] $div";

$req = mysql_query("SELECT * FROM `shop_aura` WHERE `nlvl` = '$old'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<div class='dot'><img src=\"pic/pers/aurs/$mag[ava]\"  width='33' height='33' alt=\"*\" style=\"float:left;margin-right:5px;\"/>";
if($udata[lvl]>=$mag[nlvl]){$font="#71bb71";}else{$font="chocolate";}
echo"<font color='$font'>$mag[name] ($mag[nlvl] ур.)</font></br>"; 
if(!empty($mag[hp])){echo'<img src="pic/hp.png" alt="*"/> <font color="71cc71">+'.$mag[hp].' Жизни</font></br>';}
if(!empty($mag[mp])){echo'<img src="pic/mp.png" alt="*"/> <font color="71cc71">+'.$mag[mp].' Энергии</font></br>';}
if(!empty($mag[sila])){echo'<img src="pic/pers/udar.png" alt="*"/> <font color="71cc71">+'.$mag[sila].' Силы</font></br>';}
if(!empty($mag[protect])){echo'<img src="pic/pers/verh.png" alt="*"/> <font color="71cc71">+'.$mag[protect].' Защиты</font></br>';}
if(!empty($mag[lovk])){echo'<img src="pic/pers/lovk.png" alt="*"/> <font color="71cc71">+'.$mag[lovk].' Ловкости</font></br>';}
if(!empty($mag[krit])){echo'<img src="pic/pers/krit.png" alt="*"/> <font color="71cc71">+'.$mag[krit].' Бонус крит</font></br>';}
if(!empty($mag[ukrit])){echo'<img src="pic/pers/krit.png" alt="*"/> <font color="71cc71">+'.$mag[ukrit].' Бонус крит-урона</font></br>';}
$ark=round($mag[actime]/3600,1);
if($ark==1){$chas="час";}
if($ark>=2 and $ark<=4){$chas="часа";}
if($ark>=5){$chas="часов";}
echo"Длительность: <b>$ark</b> $chas</br>";
echo"Цена: <img src=\"pic/bazar.gif\" alt=\"*\"/> <b>$mag[cena] <img src=\"pic/almaz.png\" alt=\"*\"/> $mag[acena]</b> [<a href=\"shopaura.php?mod=sell&amp;id=$mag[id]\">купить</a>]<br/></div>";
}}else{
echo'Нет аур на продаже!<br/>';}
break;

case 'sell':
$req = mysql_query("SELECT * FROM `shop_aura` WHERE `id`='$_GET[id]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'<img src="pic/no.png" alt="*"/> Ошибка, такой ауры нет!';break;}
$mag = mysql_fetch_array($req);

$req=mysql_query("SELECT * FROM domination WHERE id = '1'");
$dom = mysql_fetch_assoc($req);
if($dom['white']>$dom['black']){
$liders='white';
}elseif($dom['black']>$dom['white']){
$liders='black';
}else{
$liders='not';}
if($udata['storona']==$liders){
$mag[cena]=round($mag[cena]-(($mag[cena]/100)*15));}
$nmoney=$udata[money]-$mag[cena];
$nalm=$udata[almaz]-$mag[acena];
if($nmoney<0){echo'<img src="pic/no.png" alt="*"/> Нехватает монет!</br><a href="shopaura.php?">Назад</a>';break;}
if($nalm<0){echo'<img src="pic/no.png" alt="*"/> Нехватает Алмазов!</br><a href="shopaura.php?">Назад</a>';break;}
$req1 = mysql_query("SELECT * FROM `item_aura` WHERE `usr` = '$log' and `name` = '$mag[name]'");
$res = mysql_fetch_array($req1);
$avto1=mysql_num_rows($req1);
if($avto1==0){
mysql_query("INSERT INTO
        `item_aura` SET
        `usr` = '$log',
        `name` = '$mag[name]',
        `ava` = '$mag[ava]',
        `lovk` = '$mag[lovk]',
        `cena` = '$mag[cena]',
        `sila` = '$mag[sila]',
        `acena` = '$mag[acena]',
        `protect` = '$mag[protect]',
        `hp` = '$mag[hp]',
        `mp` = '$mag[mp]',
        `krit` = '$mag[krit]',
        `ukrit` = '$mag[ukrit]',
        `nlvl` = '$mag[nlvl]',
        `actime` = '$mag[actime]' ") or die (mysql_error());

}else{
echo'<img src="pic/no.png" alt="*"/> У вас уже есть эта аура</br><a href="shopaura.php?">Назад</a>';break;}
mysql_query("UPDATE users SET money = '$nmoney', almaz = '$nalm' WHERE usr = '$log'") or die (mysql_error());
echo"
Аура $mag[name] куплена!<br/>
Монет потрачено: <b>$mag[cena]</b><br/>
Алмазов потрачено: <b>$mag[acena]</b><br/>";
echo"<a href=\"shopaura.php?\">Назад</a>";
break;
}
@include('files/down.php');
?>